[vlc-commits] macOS build.sh: Add check for python3
David Fuhrmann
git at videolan.org
Sun Feb 2 17:10:14 CET 2020
vlc | branch: master | David Fuhrmann <dfuhrmann at videolan.org> | Sun Feb 2 17:07:12 2020 +0100| [caba47d45ff5b7a122a4acab85da418c98d023d8] | committer: David Fuhrmann
macOS build.sh: Add check for python3
Currently, lack of python3 is only detected very late in the build
process. To help developers, bail out early if its not there.
> http://git.videolan.org/gitweb.cgi/vlc.git/?a=commit;h=caba47d45ff5b7a122a4acab85da418c98d023d8
---
extras/package/macosx/build.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/extras/package/macosx/build.sh b/extras/package/macosx/build.sh
index be9ea537c7..d45b16da41 100755
--- a/extras/package/macosx/build.sh
+++ b/extras/package/macosx/build.sh
@@ -122,6 +122,12 @@ export SDKROOT
vlcSetBaseEnvironment
vlcroot="$(vlcGetRootDir)"
+# Checking prerequisites
+info "Checking for python3 ..."
+python3 --version || { echo "python3 not found. Please install from python.org, or set" \
+ "VLC_PATH environment variable to include python3." \
+ ; exit 1; }
+
builddir="$(pwd)"
info "Building in \"$builddir\""
More information about the vlc-commits
mailing list